var fs = require('fs');
var babel = require('babel-core');
var esperanto = require('esperanto');
var uglifier = require('uglify-js');

var input = 'if (someThing) {\n/*stuff*/\n}\n' +
            'export function foo() {\n\n}\n\n' +
            'export function bar() {\n\n}\n';

var relativePath = 'lol-foo-bar.js';

var output = babel.transform(input, {
  whitelist: ['es6.templateLiterals', 'es6.parameters.rest', 'es6.arrowFunctions'],
  sourceMap: 'inline',
  sourceMapName: relativePath,
  sourceFileName: relativePath
}).code;

console.log('babel ----------');
console.log(output);

var transpiled = esperanto.toAmd(output, {
  strict: true,
  sourceMap: 'inline',
  sourceMapSource: relativePath
}).code;

console.log('output ----------');
console.log(transpiled);

var uglified =  uglifier.minify(transpiled, {
  fromString: true,
  mangle: true,
  compress: true,
  outSourceMap: 'foo-bar.js.map'
});

console.log('minfiied --------');
console.log(uglified.code);
console.log(uglified.map);
